# Fetch public company settings

Retrieves the public company configuration for the given subdomain. Returns a ShowResponse containing PublicCompanyDTO details.

Endpoint: GET /api/v2/webpages/public/companySettings
Version: 2.0
Security: Bearer Authentication

## Header parameters:

  - `X-Caraer-Subdomain` (string, required)

  - `X-Caraer-Environment` (string)

  - `X-Caraer-Primary-Environment` (string)

## Response 200 fields (application/json):

  - `uuid` (string)
    Unique identifier of the company

  - `updatedAt` (integer)
    Timestamp of the last update (in milliseconds since epoch)

  - `website` (string)
    The website URL of the company

  - `cookiePolicy` (string)
    Cookie policy URL of the company

  - `favicon` (string)
    Path to the company's favicon

  - `privacyPolicy` (string)
    Privacy policy URL of the company

  - `accentColor` (string)
    The accent color used by the company

  - `twitterUrl` (string)
    Twitter URL of the company's social media page

  - `primaryColor` (string)
    The company's primary color used in branding

  - `termsAndConditions` (string)
    Terms and conditions URL of the company

  - `facebookUrl` (string)
    URL to the company's Facebook page

  - `youtubeUrl` (string)
    URL to the company's YouTube page

  - `companyColor` (string)
    Company's branding color

  - `name` (string)
    Name of the company

  - `logo` (string)
    Path to the company's logo image

  - `instagramUrl` (string)
    URL to the company's Instagram page

  - `fontColor` (string)
    Font color used in company's branding

  - `secondaryColor` (string)
    Secondary color used in company's branding

  - `rightNavBarButtonEnabled` (boolean)
    Boolean flag indicating if the right navigation bar button is enabled

  - `rightNavBarButtonTitle` (string)
    Title of the right navigation bar button

  - `rightNavBarButtonLink` (string)
    Link for the right navigation bar button

  - `cssScript` (string)
    CSS scripts added by the company

  - `jsHeadScript` (string)
    JavaScript code injected into the head tag of the HTML page

  - `jsBodyScript` (string)
    JavaScript code injected into the body tag of the HTML page

  - `customDomain` (string)
    Custom domain name used by the company

## Response 500 fields (application/json):

  - `cause` (object)

  - `cause.stackTrace` (array)

  - `cause.stackTrace.classLoaderName` (string)

  - `cause.stackTrace.moduleName` (string)

  - `cause.stackTrace.moduleVersion` (string)

  - `cause.stackTrace.methodName` (string)

  - `cause.stackTrace.fileName` (string)

  - `cause.stackTrace.lineNumber` (integer)

  - `cause.stackTrace.className` (string)

  - `cause.stackTrace.nativeMethod` (boolean)

  - `cause.message` (string)

  - `cause.localizedMessage` (string)

  - `stackTrace` (array)

  - `stackTrace.classLoaderName` (string)

  - `stackTrace.moduleName` (string)

  - `stackTrace.moduleVersion` (string)

  - `stackTrace.methodName` (string)

  - `stackTrace.fileName` (string)

  - `stackTrace.lineNumber` (integer)

  - `stackTrace.className` (string)

  - `stackTrace.nativeMethod` (boolean)

  - `errors` (array)
    The error message providing details about the failure.
    Example: "Resource not found."

  - `errors.message` (string, required)
    The error message providing details about the failure.
    Example: "Invalid file type."

  - `errors.type` (string, required)
    The type of error.
    Enum: "VALIDATION", "NOT_FOUND", "TEST", "RELATION_NOT_ALLOWED", "INVALID_VALUE", "GENERAL", "INVALID_FILE_TYPE", "INTERNAL_SERVER_ERROR", "CARAER_ERROR", "INVALID_EMAIL", "INVALID_DATE"

  - `errors.correctionSuggestion` (string, required)
    A suggestion on how to correct the error.
    Example: "Try uploading a different file type."

  - `code` (integer)
    The HTTP status code associated with the error.
    Example: 404

  - `correctionSuggestion` (string, required)
    A suggestion on how to correct the error.
    Example: "Try uploading a different file type."

  - `message` (string, required)
    The error message providing details about the failure.
    Example: "Invalid file type."

  - `suppressed` (array)

  - `suppressed.stackTrace` (array)

  - `suppressed.stackTrace.classLoaderName` (string)

  - `suppressed.stackTrace.moduleName` (string)

  - `suppressed.stackTrace.moduleVersion` (string)

  - `suppressed.stackTrace.methodName` (string)

  - `suppressed.stackTrace.fileName` (string)

  - `suppressed.stackTrace.lineNumber` (integer)

  - `suppressed.stackTrace.className` (string)

  - `suppressed.stackTrace.nativeMethod` (boolean)

  - `suppressed.message` (string)

  - `suppressed.localizedMessage` (string)

  - `localizedMessage` (string)

  - `resourceKind` (string)

  - `identifier` (string)

  - `identifierType` (string)

  - `referencedBy` (array)

  - `referencedBy.kind` (string)

  - `referencedBy.identifier` (string)

  - `referencedBy.label` (string)

  - `referencedBy.field` (string)


